petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDrawStringBoxed

Draws a string with a box around it

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawStringBoxed(PetscDraw draw,PetscReal sxl,PetscReal syl,int sc,int bc,const char text[],PetscReal *w,PetscReal *h)

Not Collective

### Input Parameters

| draw | - the drawing context
| sxl | - the coordinates of center of the box
| syl | - the coordinates of top line of box
| sc | - the color of the text
| bc | - the color of the bounding box
| text | - the text to draw

### Output Parameter

w,h -width and height of resulting box (optional)

### See Also

PetscDrawStringVertical(), PetscDrawString(), PetscDrawStringCentered(), PetscDrawStringBoxed(), PetscDrawStringSetSize(),
PetscDrawStringGetSize()

### Level

beginner

### Location

src/sys/classes/draw/interface/dtext.c

### Implementations

PetscDrawStringBoxed_Image in src/sys/classes/draw/impls/image/drawimage.c
PetscDrawStringBoxed_Null in src/sys/classes/draw/impls/null/drawnull.c
PetscDrawStringBoxed_TikZ in src/sys/classes/draw/impls/tikz/tikz.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages